<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    
    <title>GuessingGame</title>
    <script>
        function setRandomNumber(){
            x = Math.random();
           x = (x*9)+1;
           console.log(x);
           x = Math.round(x);
           console.log(x);
        }
        function startGame(){
        if(x == document.myGuessingGame.guess.value){
            alert("Congratulations!")
        }else{
            alert("Wrooong!")
        }
    }
    </script>

</head>

<body onload="setRandomNumber()">

    <form name="myGuessingGame" onsubmit="startGame()">
        <input type="number" name="guess" maxlength="2">
        <Button type="button" value="Test" onclick="startGame()">
    </form>

</body>

</html>